## org.apache.xerces.impl.xs.psvi
Interface XSElementDeclaration

All Superinterfaces:
  XSObject, XSTerm

All Known Implementing Classes:
  XSElementDecl

public interface XSElementDeclaration
extends XSTerm

The interfaces represents the Element Declaration schema component. The interface may be updated or replaced.

Method Summary
`boolean` `getAbstract()` {abstract} A boolean.
`XSAnnotation` `getAnnotation()` Optional.
`short` `getConstraintType()` [Value constraint]: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.
`java.lang.String` `getConstraintValue()` [Value constraint]: the actual value with respect to the [type definition].
`short` `getDisallowedSubstitutions()` [disallowed substitutions]: the returned value is a bit combination of the subset of { `DERIVATION_SUBSTITUTION, DERIVATION_EXTENSION, DERIVATION_RESTRICTION` } corresponding to substitutions disallowed by this `XSElementDeclaration` or `DERIVATION_NONE`.
`XSComplexTypeDefinition` `getEnclosingCTDefinition()` The complex type definition for locally scoped declarations (see `scope`).
`XSNamedMap` `getIdentityConstraints()` identity-constraint definitions: a set of constraint definitions.
`boolean` `getNillable()` If nillable is true, then an element may also be valid if it carries the namespace qualified attribute with local name `nil` from namespace `http://www.w3.org/2001/XMLSchema-instance` and value `true` (xsi:nil) even if it has no text or element content despite a `content type` which would otherwise require content.
`short` `getScope()` Optional.
`XSElementDeclaration` `getSubstitutionGroupAffiliation()` [substitution group affiliation]: optional.
`short` `getSubstitutionGroupExclusions()` [substitution group exclusions]: the returned value is a bit combination of the subset of { `DERIVATION_EXTENSION, DERIVATION_RESTRICTION`} or `DERIVATION_NONE`.
`XSTypeDefinition` `getTypeDefinition()` [type definition]: either a simple type definition or a complex type definition.
`boolean` `isDisallowedSubstitution(short disallowed)` Convenience method.
`boolean` `isSubstitutionGroupExclusion(short exclusion)` Convenience method.

Methods inherited from interface org.apache.xerces.impl.xs.psvi.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getTypeDefinition

    public XSTypeDefinition getTypeDefinition()

  [type definition]: either a simple type definition or a complex type definition.

### getScope

    public short getScope()

  Optional. One of `SCOPE_GLOBAL`, `SCOPE_LOCAL`, or `SCOPE_ABSENT`. If the scope is local, then the `enclosingCTDefinition` is present.

### getEnclosingCTDefinition

    public XSComplexTypeDefinition getEnclosingCTDefinition()

  The complex type definition for locally scoped declarations (see `scope`).

### getConstraintType

    public short getConstraintType()

  [Value constraint]: one of `VC_NONE, VC_DEFAULT, VC_FIXED`.

### getConstraintValue

    public java.lang.String getConstraintValue()

  [Value constraint]: the actual value with respect to the [type definition].

### getNillable

    public boolean getNillable()

  If nillable is true, then an element may also be valid if it carries the namespace qualified attribute with local name `nil` from namespace `http://www.w3.org/2001/XMLSchema-instance` and value `true` (xsi:nil) even if it has no text or element content despite a `content type` which would otherwise require content.

### getIdentityConstraints

    public XSNamedMap getIdentityConstraints()

  identity-constraint definitions: a set of constraint definitions.

### getSubstitutionGroupAffiliation

    public XSElementDeclaration getSubstitutionGroupAffiliation()

  [substitution group affiliation]: optional. A top-level element definition.

### isSubstitutionGroupExclusion

    public boolean isSubstitutionGroupExclusion(short exclusion)

  Convenience method. Check if `exclusion` is a substitution group exclusion for this element declaration.
  Parameters:
    `exclusion` - `DERIVATION_EXTENSION, DERIVATION_RESTRICTION` or `DERIVATION_NONE`. Represents final set for the element.
  Returns:
    True if `exclusion` is a part of the substitution group exclusion subset.

### getSubstitutionGroupExclusions

    public short getSubstitutionGroupExclusions()

  [substitution group exclusions]: the returned value is a bit combination of the subset of { `DERIVATION_EXTENSION, DERIVATION_RESTRICTION`} or `DERIVATION_NONE`.

### isDisallowedSubstitution

    public boolean isDisallowedSubstitution(short disallowed)

  Convenience method. Check if `disallowed` is a disallowed substitution for this element declaration.
  Parameters:
    `disallowed` - { `DERIVATION_SUBSTITUTION, DERIVATION_EXTENSION, DERIVATION_RESTRICTION` } or `DERIVATION_NONE`. Represents a block set for the element.
  Returns:
    True if `disallowed` is a part of the substitution group exclusion subset.

### getDisallowedSubstitutions

    public short getDisallowedSubstitutions()

  [disallowed substitutions]: the returned value is a bit combination of the subset of { `DERIVATION_SUBSTITUTION, DERIVATION_EXTENSION, DERIVATION_RESTRICTION` } corresponding to substitutions disallowed by this `XSElementDeclaration` or `DERIVATION_NONE`.

### getAbstract

    public boolean getAbstract()

  {abstract} A boolean.

### getAnnotation

    public XSAnnotation getAnnotation()

  Optional. Annotation.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.